Resync from the start date
curl --request POST \
--url https://api.redbark.com/v2/syncs/{id}/resync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Redbark-Version: <api-key>' \
--data '
{
"confirm": true
}
'const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Redbark-Version': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({confirm: true})
};
fetch('https://api.redbark.com/v2/syncs/{id}/resync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.redbark.com/v2/syncs/{id}/resync"
payload = { "confirm": True }
headers = {
"Authorization": "Bearer <token>",
"Redbark-Version": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "run_4Kt7Lm2nPq9rSv1wXy3zAb",
"object": "sync_run",
"sync": "<string>",
"destination": "<string>",
"status": "queued",
"trigger": "schedule",
"counts": {
"processed": 123,
"added": 123,
"updated": 123,
"rejected": 123,
"skipped_by_rules": 123
},
"failure": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"started_at": "2026-08-21T09:30:00.000Z",
"completed_at": "2026-08-21T09:30:00.000Z",
"duration_ms": 123,
"livemode": true,
"created": "2026-08-21T09:30:00.000Z"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}Syncs
Resync from the start date
Rewinds the sync so the next run re-reads from options.data_from, then queues that run. Requires { "confirm": true }.
POST
/
syncs
/
{id}
/
resync
Resync from the start date
curl --request POST \
--url https://api.redbark.com/v2/syncs/{id}/resync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Redbark-Version: <api-key>' \
--data '
{
"confirm": true
}
'const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Redbark-Version': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({confirm: true})
};
fetch('https://api.redbark.com/v2/syncs/{id}/resync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.redbark.com/v2/syncs/{id}/resync"
payload = { "confirm": True }
headers = {
"Authorization": "Bearer <token>",
"Redbark-Version": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "run_4Kt7Lm2nPq9rSv1wXy3zAb",
"object": "sync_run",
"sync": "<string>",
"destination": "<string>",
"status": "queued",
"trigger": "schedule",
"counts": {
"processed": 123,
"added": 123,
"updated": 123,
"rejected": 123,
"skipped_by_rules": 123
},
"failure": {
"code": "<string>",
"message": "<string>",
"retryable": true
},
"started_at": "2026-08-21T09:30:00.000Z",
"completed_at": "2026-08-21T09:30:00.000Z",
"duration_ms": 123,
"livemode": true,
"created": "2026-08-21T09:30:00.000Z"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}Authorizations
Authorization: Bearer rbk_live_...
The API release your integration is built against, e.g. 2026-10-01.wattle. Required on every request.
Path Parameters
The id of the object.
Example:
"sync_8Pq2Rs4tUv6wXy8zAb1cDe"
Body
application/json
Available options:
true Response
object | null
The queued run
include[]=latest_run
Example:
"run_4Kt7Lm2nPq9rSv1wXy3zAb"
Available options:
sync_run Available options:
queued, running, succeeded, failed, cancelled Available options:
schedule, api, dashboard, webhook, resync Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"2026-08-21T09:30:00.000Z"
Example:
"2026-08-21T09:30:00.000Z"
Example:
"2026-08-21T09:30:00.000Z"

